%define	module	faulthandler
Summary:	Display the Python traceback on a crash
Name:		python-faulthandler
Version:	3.0
Release:	1
License:	BSD
Group:		Development/Languages/Python
Source0:	https://github.com/haypo/faulthandler/archive/faulthandler-%{version}.tar.gz
# Source0-md5:	bd628242274c7294c36112bb744a83cf
URL:		http://faulthandler.readthedocs.io/
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fault handler for SIGSEGV, SIGFPE, SIGBUS and SIGILL signals: display
the Python backtrace and restore the previous handler. Allocate an
alternate stack for this handler, if sigaltstack() is available, to be
able to allocate memory on the stack, even on stack overflow.

%prep
%setup -q -n %{module}-%{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README.rst TODO
%attr(755,root,root) %{py_sitedir}/%{module}.so
%{py_sitedir}/*egg-info
%{py_sitedir}/faulthandler.pth
%changelog
* Sun Oct 29 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-faulthandler.git;a=log;h=master

* Sun Oct 29 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 68bebc9
- up to 3.0

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 2aee31b
- use rpm python macros
- rel 3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> c171370
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f370a88
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6c89bba
- automatic change: use py_build/py_install macros

* Sun Feb 23 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 27f78cf
- initial

